#
# spec file for package deepin-menu
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           deepin-menu
Version:        3.4.8
Release:        bp153.1.20
License:        GPL-3.0+
Summary:        Menu service for Linux Deepin
Url:            https://github.com/linuxdeepin/deepin-menu
Group:          System/GUI/Other
Source:         https://github.com/linuxdeepin/deepin-menu/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  libqt5-qtx11extras-devel
BuildRequires:  libqt5-qttools-devel
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(dtkwidget)
BuildRequires:  pkgconfig(inputproto)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Deepin Menu is the unified menu service for Deepin Desktop Environment.

%prep
# %setup -q -n %{name}-%{commit}
%setup -q

# Remove python shebang
find -iname "*.py" | xargs sed -i '/env python/d'

%build
# python3 setup.py build
%qmake5 DEFINES+=QT_NO_DEBUG_OUTPUT \
        PREFIX=%{_prefix} \
        LIB_INSTALL_DIR=%{_libdir}
make %{?_smp_mflags}

%install
%qmake5_install

rm -rf %{buildroot}%{_prefix}/deepin_menu
mkdir -p %{buildroot}%{_datadir}/dbus-1/services
install -m 0644 data/com.deepin.menu.service %{buildroot}%{_datadir}/dbus-1/services
mkdir -p %{buildroot}%{_datadir}/dbus-1/interfaces
install -m 0644 data/com.deepin.menu.Manager.xml %{buildroot}%{_datadir}/dbus-1/interfaces
install -m 0644 data/com.deepin.menu.Menu.xml %{buildroot}%{_datadir}/dbus-1/interfaces

%files
%defattr(-,root,root)
%doc README.md CHANGELOG.md LICENSE
%{_bindir}/deepin-menu
%{_datadir}/dbus-1/services/com.deepin.menu.service
%{_datadir}/dbus-1/interfaces/com.deepin.menu.*.xml

%changelog
* Sat May 18 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 3.4.8
  * Fix HiDPI screen coordinates
  * Add a description of whether to scale
  * Set isScaled default value to true
* Tue Apr 16 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 3.4.3
  * Fix position shift when use kwin
  * Fix pos: HiDPI screen coordinates
* Fri Dec 21 2018 hillwood@opensuse.org
- Update version to 3.4.1
  * support touchscreen
  * Fix not hide menu when unregisterMenu
  * Fix wrong menu style on Qt 5.10.x
  * Fix subment: submenu not send invoked singnals
  * Fix menu dead lock on destructor
  * Fix menu unregister but not notify signals emitted
  * Add oom score
  * Fix not click
  * use DRegionMonitor replace all grab
  * Fix click outside the menu to hide
  * Fix desktop menu cannot hide
  * Fix prevent memory leaks, use QPointer for MenuObject
  * Fix crash cause menu adapter double free
* Mon Mar 26 2018 hillwood@opensuse.org
- Update version to 3.3.1
  * Fix ddesktopmenu: remove BypassWindowManagerHint
  * Fix deepin-menu isn't counted as DE component
  * Adapt lintian
  * Fix ddesktopmenu: remove DReigonMonitor
  * Fix debian: remove useless depend
  * Fix desktopmenu: add accessible name for desktopmenu
  * Fix dockmenu: set border alpha is 0
    remove use DRegionMonitor
    reduce delay time
  * remove autostart desktop file
* Fri Mar  2 2018 hillwood@opensuse.org
- Update version to 3.2.0+git20180207
  * Drop python3 module
  * Change api
  * Fix bug
* Fri Dec  1 2017 hillwood@opensuse.org
- Update to 3.2.0
  * Fix multi screen coordinates are not correct
  * Add font size change with system font settings
  * Fix desktop menu hide immediately after showing
  * Fix no spacing between items
  * Support hidpi of ddesktopmenu
  * Support hiDPI use DRegionMonitor
  * add basic hidpi support
* Fri Sep 29 2017 hillwood@opensuse.org
- Update to 3.1.6
  * Use dde-qt-dbus-factory
  * update deepin-gettext-tools
* Mon Feb 20 2017 hillwood@opensuse.org
- Update to 3.0.8
  * Fix font pos rendering problem with different font
  * Add blur background for desktop menu
  * remove hot key
  * Fix actions' are not triggered on button release
- Split python-deepin-menu package.
* Fri Jul 24 2015 i@marguerite.su
- initial version 2.90.0
